aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorlayman <layman@localhost>2014-04-24 16:33:56 +0000
committerAnthony G. Basile <blueness@gentoo.org>2014-04-24 12:36:13 -0400
commit4e1aad6f1125f8faf60d02829a5b5174ebaaf358 (patch)
tree0dcc450539d7ba3a77997320f53f8ab6190be310
parentapp-arch/lrzip: removed, fixed in tree, bug #492976 (diff)
downloadhardened-dev-4e1aad6f1125f8faf60d02829a5b5174ebaaf358.tar.gz
hardened-dev-4e1aad6f1125f8faf60d02829a5b5174ebaaf358.tar.bz2
hardened-dev-4e1aad6f1125f8faf60d02829a5b5174ebaaf358.zip
app-admin/syslog-ng: bump to 3.4.7
Package-Manager: portage-2.2.8-r1 RepoMan-Options: --force
-rw-r--r--app-admin/syslog-ng/Manifest24
-rw-r--r--app-admin/syslog-ng/files/syslog-ng.logrotate.hardened.in76
-rw-r--r--app-admin/syslog-ng/files/syslog-ng.logrotate.in13
-rw-r--r--app-admin/syslog-ng/syslog-ng-3.4.7-r99.ebuild120
4 files changed, 213 insertions, 20 deletions
diff --git a/app-admin/syslog-ng/Manifest b/app-admin/syslog-ng/Manifest
index 47cad1bb..a3e5574c 100644
--- a/app-admin/syslog-ng/Manifest
+++ b/app-admin/syslog-ng/Manifest
@@ -1,6 +1,3 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
AUX 3.4/syslog-ng-3.4.2-autotools.patch 1313 SHA256 20b6fc12f119d548536435ad7c5e166488443eeebe8ee08e30adefa6038aafa3 SHA512 c5b84bc32c9b019452b8b3f369dc4689e40b59dc392e448412e14730679d452d4323d70ae73cc6fd126a44df6331c18d2168f05675a399e2ba868115944880ed WHIRLPOOL f7bc249b6ea28db74661b6682ff3c377b80ffeaa28412bfa378686f435a617d972a81d8dfc9382f2f8c44062ee35fc9e3217ef40a04d55f1bcf6578fb88e2c63
AUX 3.4/syslog-ng-3.4.2-compile.patch 239 SHA256 1400220d00e35261afdb93e9f199e5527ad8f6cd14f0b1fc7f89e6668b09979a SHA512 f8ec051d4fecb88f26279bb510ff892e93b9a211b5bd9312f734846a3108a6645d1de355c5d3aadb6fddd8e01bba40fd6489a6bf8f6a2f73466016b24bcbe930 WHIRLPOOL e7550d9def8c94e81eb9b7501d79b79acaa6fe6aeada4cf0840b72e65520a529010c8aa36df6221639226f2a53ee78f28993219364b2d500a49daa0261b78f55
AUX 3.4/syslog-ng-3.4.2-uclibc.patch 616 SHA256 cecceee0138e4ee839b452b2b3bf343fbedb6605d4f54bdd1b92f427ab06b94c SHA512 9173eb7819b12b2daaf7622474d4daa8471757cf5e160fecdc95294f20a08b76937304e708e2ea0cb4a7aece8512dd9ef962dd04b3a1b7425881c492f61d1b43 WHIRLPOOL d43848d7f5b627fed1cbe2b49bb542c5f7dd0be4c0e667704f87c6d2df34355b5dbbe1fa7ef267d4cc206d386e8e1d1bcd84cff24d7e681ea2f01168c89d3c33
@@ -13,23 +10,10 @@ AUX README.hardened 358 SHA256 712e5bb70d79e416237ccd69a73e0b8deaf7d9bfbb92a0c85
AUX syslog-ng.confd 150 SHA256 8319ca8e39a5dab5ddc82eede088e1f58ff25deef330804648000359cb736a3f SHA512 a223387e383bfc477eace35ebad3d4be596c6fa862b207fb211484ae258891f202dfb731a07a5ce91de33aa64f3b65ca0015ed4ca1b6ddebfad5a2869835b344 WHIRLPOOL be830476c67d7a33167231bbcd5d1ccf19310f1d387bfb03d663153e564a379f827f7af30bc40bb7ffc06914c3ed55ee0d56000abcc86e1c6a2c262f00702d79
AUX syslog-ng.logrotate 354 SHA256 e8e1b6d87f8217c77c0bfbe3095cac0c4edcb72473cbd1423bf2ae7bffee8ca3 SHA512 c3dc48bd0525947d728c51ac79faa05b481d5ad7dc4f52ed69d2f5a4344fe71c3e06591fe058ef5dcb8ea6cf089954e9a312d510e129727b35a6e32d8e9ec5e8 WHIRLPOOL 34e5efedceed29fadfc99165a70407a2bd64e4df05818f8da831840bf16e287c2e54c47cdb81393f581e14c84407137dc18b5a17b840eb0587877803e8b8be41
AUX syslog-ng.logrotate.hardened 1742 SHA256 f2c9f99c7dd73e709e5edb7be99de5a13058baab29d3c922ab9366ddd50eda8f SHA512 2f751bc34e2de833b764f4fc1ccb2fc0337c1d3f84bd30194897972270ef6fc502ff3822912921a15479bea273bc0aa4eeec8c68d672ce1edcdcb5cfed70926a WHIRLPOOL b80fe444f140f842677dc59cef7d19e777429e2983a808c264bed1436f505052bc239f8238ad5d739d50eb21e1f36b5f52d45010d6b3b3ae8fd296a7c4939608
+AUX syslog-ng.logrotate.hardened.in 1653 SHA256 78e3db0f0a75dfc74d9a34cd865cd02c97e37c0eb505968700faf9b6c154ac46 SHA512 a2e2e9175fc32a4c717629526940dcc6f323147e40833118ceffbd44413bfb320f94e07fdef0b99a64f72c5e7f7aa00447f81d85f8c716982636dd3241f7f955 WHIRLPOOL 03f691e64a1184526acfeaeb6187443becc7816f558774faeb1d5ee785cc09fd35f444bf79451bd91754c558b4e17caa10c69430ae3e10aed4458b108cc80c93
+AUX syslog-ng.logrotate.in 345 SHA256 7e854cbac5b376b3d1d6906fed4cff794e17998c04c647239da4245f112cf97f SHA512 d729111944527fc269e884c12fc628b95a9b83757c756a18c2e45355a7df6ed7802d1bfc0d1af37e3d5b07deaad6f42a38c70dc899835d659dd12917204b15ae WHIRLPOOL 4ae7fbe448e346265117c0fa407b6632d698cab4514937f699195306228a7b81b70cecc23937f336f808fe35fbeeaec4ec97cba8684897dcf06ffa6eecd4ea4b
DIST syslog-ng_3.4.2.tar.gz 3354842 SHA256 f2585b42e7341bc53490aa59c5f405df506536bf0672bf71f9567ea78590f381 SHA512 94d1c8008c72a7fb82c86eb4ff666cacee26e2b1d7100f58a0ea5293e4efc74ad9608a7b1e72b217f9e6ead4b6ad82f5cf9e00dfcb230a03d3243f5c51fd5305 WHIRLPOOL ddb721e940e674a74079fb150213e7595f2a52eb8709f1a032bf6def93906b6f93c9a5131991946b1e19a026ca8162c40d7c7e537498f29a3d33b401c678611a
+DIST syslog-ng_3.4.7.tar.gz 3203894 SHA256 7b1114ff0bd9d2c52a8ce407f0f59102ea4123ff7efb3f84253961e0de6ac1b0 SHA512 66c1dafaa9441fd909b450e79ec3d1011bd423301602b0eea372e141ff267ddb60aa0280ef49b1f62d24b3f17fc1909a6ce8cc5bea0e3c6708df64815a534279 WHIRLPOOL b3b9aef566cc4577b4ec6ad96f696e29abd84d663205cadca766a50c933d29e3b195b6679cbb8e0edca96cc6995ab10fe409531eb15c90bfeb82a598ad7cf3fe
EBUILD syslog-ng-3.4.2-r99.ebuild 3225 SHA256 2ba6a2a9ff4f592cd1186634ca83b0a08ae4ceeef0aaea31a89b846dc503a8da SHA512 5c1487b98f35b1bd03a40038806b00e18bbe59dc3a92d6504ffd794e8f1d30f6939e92a6ea09203a8eb586b247b62e7018bba0cef736032b6185253af27b548e WHIRLPOOL d57b5d3dca6a052aa2871a7c85950572ec30fb61a8acf6074387eeeab0d8b2692b2bb7749e8159de4fb4523166406f61c453c36444d5f48454efa7a01c1008be
+EBUILD syslog-ng-3.4.7-r99.ebuild 3523 SHA256 d94f93db892f6a528e974dcb2300d062173dfbcfb9f3fd89956a017152f6e3d6 SHA512 050cede633e53060ad8dc5dd36c99c068d2fc3ebe9be67ecfb833a8c6001e1f91d3124716c12a5c43679dfea647a2be3903ce3edf23e249569126f1f530c2340 WHIRLPOOL 87a3cbde9f08967445c746a997fe6a3bb5b2088d88b78f0a2a78da997c55906f9a2da370ffa4c8246a27b58a6958cbb52628f4309f048e1c4ee90e8ed25ebce2
MISC metadata.xml 561 SHA256 cc93ce76904abc1f2a13151577282e3f676b1589574f614b71d9df9bcd005aee SHA512 b043ebae39aff0868be738d94a9e741703337ca0c6bbd57f58a98e559c29b306d6306050090e02959b5681ae51f629103e40378e40b2a301b4fca2d0f799f39e WHIRLPOOL 82bf6f04d2309e64fa581fa2e616cbd2b8d0ab26e511645fee2d8c29753aa2d371a55e803cfea4e0eee048cbf161052bc3dacc6bc03f5e475f5650b5b2318da8
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.22 (GNU/Linux)
-
-iQIcBAEBCAAGBQJSiX/5AAoJEJOE+m71LUu6+3YP/j/ldI3NLWhCEDQZgUBHQZV/
-8s5kd8naP1PeUEMNT3/A/OFExAwNCmCLdunkMNw2fS+1+EJA6eVQ82JaPdi5LX+K
-LqRn/jAaJyeuLfVhMSDKoTvVjQQeprH/TResIT4dxoReI3JGw7o9/O58p2ZxoRbT
-xwQmJ/LLmWA3X8enBlbyxYVqRgCNLDdvCHFrpnXVVW/QXNOqiXY8fWrZ0CP0zAEN
-eaeblvlmMcGfYKSaAw3aar2Wf43RRbBhsrs42lOMM8sKSI+lBg4yhHCUNpXRL3nA
-CxCyRnM4/9Ix+6VGwxqAPocyDTIbd5uPOBiuv6oJd7SZJymkv3ZSMuq6j3RX4xME
-fGn7ihXGv7d8ZtJdfrzB6AUfE6E4H15vHuDe6iQ0ZR5Xhhs69cB3YzM8C1tQ2/dE
-l5ydWIVzG25njQhr/bJ/ENfcGS5jgSZC3fQSdV9Pfueob8fq6VxnRUm33YRwohUK
-Wb0h2eiFcOgpwpqIvnDFvOc7ysKffBwDd1XumLLwvGkhGCMZutxexlBAhu6pIovX
-0Y6aJIfhhAL7V+vd7fgHi3F4dCyfqPC3cKiniDrOHh0k9vVErvHz+7P8PuA+xjrr
-vPVNKmCi0P88uawS3c+pC+9EeWAqHXW9zXlXuYNRgxgERHQm4wjIP3/ffHmQazpn
-t0zaUANP/P/8ujUWO7Ez
-=eql7
------END PGP SIGNATURE-----
diff --git a/app-admin/syslog-ng/files/syslog-ng.logrotate.hardened.in b/app-admin/syslog-ng/files/syslog-ng.logrotate.hardened.in
new file mode 100644
index 00000000..86b3bfab
--- /dev/null
+++ b/app-admin/syslog-ng/files/syslog-ng.logrotate.hardened.in
@@ -0,0 +1,76 @@
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.logrotate.hardened.in,v 1.1 2014/01/22 04:25:35 mr_bones_ Exp $
+#
+# Syslog-ng logrotate snippet for Hardened Gentoo Linux
+# contributed by Maciej Grela
+#
+# Updated bug #284669
+
+# Generic
+/var/log/debug /var/log/syslog /var/log/kern.log {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# System services
+/var/log/cron.log /var/log/daemon.log /var/log/lpr.log /var/log/uucp.log {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# User log
+/var/log/user.log {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# News system
+/var/log/news/news.crit /var/log/news/news.err /var/log/news/news.notice {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# Mail system
+/var/log/mail.log /var/log/mail.info /var/log/mail.err /var/log/mail.warn {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# Hardened logs
+/var/log/avc.log /var/log/audit.log /var/log/pax.log /var/log/grsec.log {
+ sharedscripts
+ missingok
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# Authentication
+/var/log/auth.log {
+ sharedscripts
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
+
+# the rest
+/var/log/messages {
+ sharedscripts
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
diff --git a/app-admin/syslog-ng/files/syslog-ng.logrotate.in b/app-admin/syslog-ng/files/syslog-ng.logrotate.in
new file mode 100644
index 00000000..acd48ec3
--- /dev/null
+++ b/app-admin/syslog-ng/files/syslog-ng.logrotate.in
@@ -0,0 +1,13 @@
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.logrotate.in,v 1.1 2014/01/22 04:25:35 mr_bones_ Exp $
+#
+# Syslog-ng logrotate snippet for Gentoo Linux
+# contributed by Michael Sterrett
+#
+
+/var/log/messages {
+ missingok
+ sharedscripts
+ postrotate
+ @GENTOO_RESTART@ > /dev/null 2>&1 || true
+ endscript
+}
diff --git a/app-admin/syslog-ng/syslog-ng-3.4.7-r99.ebuild b/app-admin/syslog-ng/syslog-ng-3.4.7-r99.ebuild
new file mode 100644
index 00000000..3d21b3f6
--- /dev/null
+++ b/app-admin/syslog-ng/syslog-ng-3.4.7-r99.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/syslog-ng-3.4.7.ebuild,v 1.8 2014/04/20 11:19:11 ago Exp $
+
+EAPI=5
+inherit autotools eutils multilib systemd
+
+MY_PV=${PV/_/}
+DESCRIPTION="syslog replacement with advanced filtering features"
+HOMEPAGE="http://www.balabit.com/network-security/syslog-ng"
+SRC_URI="http://www.balabit.com/downloads/files/syslog-ng/sources/${MY_PV}/source/syslog-ng_${MY_PV}.tar.gz"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd"
+IUSE="caps dbi geoip ipv6 json mongodb +pcre smtp spoof-source ssl systemd tcpd"
+RESTRICT="test"
+
+RDEPEND="
+ pcre? ( dev-libs/libpcre )
+ spoof-source? ( net-libs/libnet:1.1 )
+ ssl? ( dev-libs/openssl:= )
+ smtp? ( net-libs/libesmtp )
+ tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+ >=dev-libs/eventlog-0.2.12
+ >=dev-libs/glib-2.10.1:2
+ json? ( >=dev-libs/json-c-0.9 )
+ caps? ( sys-libs/libcap )
+ geoip? ( >=dev-libs/geoip-1.5.0 )
+ dbi? ( >=dev-db/libdbi-0.8.3 )
+ systemd? ( sys-apps/systemd )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/flex"
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV%.*}/${PN}-3.4.2-uclibc.patch
+ eautoreconf
+
+ cp "${FILESDIR}"/*logrotate*.in "${TMPDIR}" || die
+ cd "${TMPDIR}" || die
+
+ for f in *logrotate*.in ; do
+ if use systemd ; then
+ sed \
+ 's/@GENTOO_RESTART@/systemctl kill -s HUP syslog-ng/' \
+ $f > ${f/.in/} || die
+ else
+ sed \
+ 's:@GENTOO_RESTART@:/etc/init.d/syslog-ng reload:' \
+ $f > ${f/.in/} || die
+ fi
+ done
+}
+
+src_configure() {
+ econf \
+ --disable-docs \
+ --with-ivykis=internal \
+ --with-libmongo-client=internal \
+ --sysconfdir=/etc/syslog-ng \
+ --localstatedir=/var/lib/syslog-ng \
+ --with-pidfile-dir=/var/run \
+ --with-module-dir=/usr/$(get_libdir)/syslog-ng \
+ $(systemd_with_unitdir) \
+ $(use_enable systemd) \
+ $(use_enable caps linux-caps) \
+ $(use_enable geoip) \
+ $(use_enable ipv6) \
+ $(use_enable json) \
+ $(use_enable mongodb) \
+ $(use_enable pcre) \
+ $(use_enable smtp) \
+ $(use_enable spoof-source) \
+ $(use_enable dbi sql) \
+ $(use_enable ssl) \
+ $(use_enable tcpd tcp-wrapper)
+}
+
+src_install() {
+ # -j1 for bug #484470
+ emake -j1 DESTDIR="${D}" install
+
+ dodoc AUTHORS NEWS contrib/syslog-ng.conf* contrib/syslog2ng \
+ "${FILESDIR}/${PV%.*}/syslog-ng.conf.gentoo.hardened" \
+ "${TMPDIR}/syslog-ng.logrotate.hardened" \
+ "${FILESDIR}/README.hardened"
+
+ # Install default configuration
+ insinto /etc/syslog-ng
+ if use userland_BSD ; then
+ newins "${FILESDIR}/${PV%.*}/syslog-ng.conf.gentoo.fbsd" syslog-ng.conf
+ else
+ newins "${FILESDIR}/${PV%.*}/syslog-ng.conf.gentoo" syslog-ng.conf
+ fi
+
+ insinto /etc/logrotate.d
+ newins "${TMPDIR}/syslog-ng.logrotate" syslog-ng
+
+ newinitd "${FILESDIR}/${PV%.*}/syslog-ng.rc6" syslog-ng
+ newconfd "${FILESDIR}/${PV%.*}/syslog-ng.confd" syslog-ng
+ keepdir /etc/syslog-ng/patterndb.d /var/lib/syslog-ng
+ prune_libtool_files --modules
+}
+
+pkg_postinst() {
+ elog "For detailed documentation please see the upstream website:"
+ elog "http://www.balabit.com/sites/default/files/documents/syslog-ng-ose-3.4-guides/en/syslog-ng-ose-v3.4-guide-admin/html/index.html"
+
+ # bug #355257
+ if ! has_version app-admin/logrotate ; then
+ echo
+ elog "It is highly recommended that app-admin/logrotate be emerged to"
+ elog "manage the log files. ${PN} installs a file in /etc/logrotate.d"
+ elog "for logrotate to use."
+ echo
+ fi
+}